
/* 头部 */
.header{height: 59px;border-bottom: 1px solid #404553;background-color: #393D49;}
.logo{position: absolute; left: 0; top: 15px;}
.logo img{width: 82px; height: 31px;}
.logo{
    color: #fff;
    font-size: 26px;
}

.header .layui-nav{position: absolute; right: 0; top: 0; padding: 0; background: none;}
.header .layui-nav .layui-nav-item{margin: 0 20px; }
.header .layui-nav .layui-nav-item[mobile]{display: none;}

.header .layui-container .logo{left: 15px;}
.header .layui-container .layui-nav{right: 15px;}
.header .layui-nav .layui-badge, 
.header .layui-nav .layui-badge-dot{right: 0;}

.menu{position: absolute; right: 0; top: 0; line-height: 65px;}
.menu a{display:inline-block; *display:inline; *zoom:1; vertical-align:top;}
.menu a{position: relative; padding: 0 20px; margin: 0 20px; color: #c2c2c2; font-size: 14px;}
.menu a:hover{color: #fff; transition: all .5s; -webkit-transition: all .5s}
.menu a.this{color: #fff}
.menu a.this::after{content: ''; position: absolute; left: 0; bottom: -1px; width: 100%; height: 5px; background-color: #5FB878;}

.header-index{}
.header-index .site-banner-bg{}
.header-index[spring],
.site-banner-bg[spring]{border: none; background-color: #1C3C12}
.header-index[spring1]{border: none; background-color: #0D1206}
.header-index[summer],
.site-banner-bg[summer]{border: none; background-color: #0A0E11}
.header-index[autumn],
.site-banner-bg[autumn]{border: none;background-color: #100903;}
.header-index[winter],
.site-banner-bg[winter]{border: none; background-color: #110F25/*#06041C*/}

.header-demo{height: 60px; border-bottom: none;}
.header-demo .logo{left: 55px;}
.header-demo .layui-nav{top: 0; right: 15px;}
.header-demo .layui-nav .layui-nav-item{/*margin: 0 10px;*/}

.header-demo .layui-nav .layui-this a{padding: 0 30px;}


.component{position: absolute; width: 150px; left: 135px; top: 16px; }
.component .layui-input{height: 30px; padding-left: 32px; padding-right: 10px; background-color: #424652; background-color: rgba(255,255,255,.05); border: none 0; color: #fff; color: rgba(255,255,255,.5); font-size: 12px;}
.component .layui-form-select .layui-edge{display: none; border-top-color: #999;}
.component .layui-form-select dl{top: 36px; background-color: rgba(255,255,255,.9)}
.component > .layui-icon{position: absolute; left:  10px; top: 9px; font-size: 12px; color: rgba(255,255,255,.5);}

.site-notice{position: absolute; left: 300px; top: 16px; height: 30px; min-width: 200px; line-height: 30px; right: auto; font-size: 12px; color: #FAFAFA;}
.site-notice a.tg:after{content: 'AD'; position: absolute; right: -5px; bottom: -5px; padding: 0 5px; line-height: 20px; border-radius:  2px; background-color: rgba(0,0,0,.05); color: rgba(255,255,255,.8); transform: scale(0.6); word-wrap: break-word;}
.site-notice a{position: relative; display: inline-block;}
.site-notice a cite{display: inline-block; padding: 0 15px 0 15px; background-color: rgba(255,255,255,.15); color: rgba(255,255,255,.8); border-radius: 2px; transition: all .5s;}
.site-notice a cite:hover{background-color: rgba(255,255,255,.25); color: rgba(255,255,255,.9);}
.site-notice .layui-carousel,
.site-notice .layui-carousel>*[carousel-item] > *{background:  none;}
.site-notice .layui-carousel>*[carousel-item]:before{display: none;}

.header-demo .component{left: 200px;}
.header-demo .site-notice{left: 365px;}




/* 首页banner部分 */
.site-banner{position: relative; height: 600px; text-align: center; overflow: hidden; background-color: #393D49;}
.site-banner-bg
,.site-banner-main{position: absolute; left: 0; top: 0; width: 100%; height: 100%;}
.site-banner-bg{background-position: center 0;}


.site-zfj{padding-top: 25px; height: 220px;}
.site-zfj i{position: absolute; left: 50%; top: 50px; width: 200px; height: 200px; margin-left: -100px; font-size: 180px; color: #c2c2c2;}

@keyframes site-zfj {
  0% {opacity: 1;  transform: translate3d(0, 0, 0) rotate(0deg) scale(1);}
  10% {opacity: 0.8; transform: translate3d(-100px, 0px, 0) rotate(10deg) scale(0.7);}
  35% {opacity: 0.6; transform: translate3d(100px, 0px, 0) rotate(30deg) scale(0.4);}
  50% {opacity: 0.4; transform: translate3d(0, 0, 0) rotate(360deg) scale(0);}
  80% {opacity: 0.2; transform: translate3d(0, 0, 0) rotate(720deg) scale(1);}
  90% {opacity: 0.1; transform: translate3d(0, 0, 0) rotate(3600deg) scale(6);}
  100% {opacity: 1; transform: translate3d(0, 0, 0) rotate(3600deg) scale(1);}
}

@keyframes site-desc {
  0% { transform: scale(1.1);}
  100% {transform: scale(1);}
}
.site-zfj-anim i{-webkit-animation-name: site-zfj; animation-name: site-zfj; -webkit-animation-duration: 5s; animation-duration: 5s;  -webkit-animation-timing-function: linear; animation-timing-function: linear;}


/* 描述字体 */
.web-font-desc{
  font-style:normal;
  font-weight: 300;
}
.site-desc{position: relative; height: 70px; margin-top: 20px;}
.site-desc .web-font-desc{color: #fff; color: rgba(255,255,255,.8); font-size: 51px;}

.site-desc-anim{-webkit-animation-name: site-desc; animation-name: site-desc;}
.site-desc cite{position: absolute; bottom: -20px; left: 0; width: 100%; color: #c2c2c2; color: rgba(255,255,255,.66); font-style: normal;}

.site-download{margin-top: 80px; font-size: 0;}
.site-download a{position: relative; padding: 0 60px 0 100px; height: 65px; line-height: 65px; border: 1px solid #c2c2c2;  border-color: rgba(255,255,255,.2); font-size: 24px; color: #ccc; transition: all .5s; -webkit-transition: all .5s;}
.site-download a:hover{border-color: rgba(255,255,255,.3); color: #fff; background-color: rgba(255,255,255,.05); border-radius: 30px;}
.site-download a cite{position: absolute; left: 55px; top: 2px; font-size: 30px;}
.site-version{position: relative; margin-top: 15px; color: #ccc; font-size: 12px;}
.site-version span{padding: 0 3px;}
.site-version *{font-style: normal;}
.site-version a{color: #e2e2e2; text-decoration: underline;}

.site-banner-other{position: absolute; left: 0; bottom: 35px; width: 100%; text-align: center; font-size: 0;}
.site-banner-other iframe{border: none;}
.site-banner-other a{display: inline-block; vertical-align: middle; height: 28px; line-height: 28px; margin: 0 6px; padding: 0 8px; border-radius: 2px; color: #c2c2c2; color: rgba(255,255,255,.8); border: 1px solid #c2c2c2; border-color: rgba(255,255,255,.2); font-size: 14px; transition: all .5s; -webkit-transition: all .5s;}
.site-banner-other a:hover{color: #fff; background-color: rgba(255,255,255,.1);}


.site-idea{margin: 30px 0; font-weight: 300;}
.site-idea li{font-size: 14px; }
.site-idea li div{padding: 25px; line-height: 24px; border: 1px solid #d2d2d2;}
.site-idea .layui-field-title{border-color: #d2d2d2}
.site-idea .layui-field-title legend{margin: 0 20px 20px 0; padding: 0 20px; text-align: center;}



.site-banner{height: 300px;}
  .site-banner-bg{background-size: cover;}
    .site-zfj{height: 100px; padding-top: 5px;}
  .site-zfj i{top: 10px;width: 100px;height: 100px;margin-left: -50px;font-size: 100px;}


/* 中部 */

.site-idea{margin: 30px 0; font-weight: 300;}
.site-idea li{font-size: 14px; }
.site-idea li div{padding: 25px; line-height: 24px; border: 1px solid #d2d2d2;}
.site-idea .layui-field-title{border-color: #d2d2d2}
.site-idea .layui-field-title legend{margin: 0 20px 20px 0; padding: 0 20px; text-align: center;}







.footer {
    padding: 30px 15px;
    line-height: 30px;
    text-align: center;
    color: #666;
    font-weight: 300;
}
.footer a{padding: 0 5px;}


/* 低于 1200 像素时 */
@media screen and (max-width: 1200px) {
  .site-idea li div{padding: 20px;}
}


@media screen and (max-width: 992px) {

  .site-menu{position: fixed; top: 0; bottom: 0; min-height: 0; overflow-y: auto; overflow-x: hidden; z-index: 1000; left: -300px; background-color: #fff;  transition: all .3s;}

  .site-tree-mobile{display: block!important; position: fixed; z-index: 16666669; bottom: 15px; left: 15px; width: 50px; height: 50px; line-height: 50px; border-radius: 2px; text-align: center; background-color: #009688; color: #fff;}
  .site-home .site-tree-mobile{display: none!important;}
  .site-mobile .site-tree-mobile{display: none !important;}
  .site-mobile .site-menu{left: 0;}
  .site-mobile .site-mobile-shade{content: ''; position: fixed; top: 0; bottom: 0; left: 0; right: 0; background-color: rgba(0,0,0,.8); z-index: 999;}
  .site-tree-mobile i{font-size: 20px;}





  .layui-main{width: auto; margin: 0 10px;}
  .logo,
  .header-demo .logo{left: 10px;}
  .component{display: none}
  .site-notice{left: 135px;}

  .header .layui-nav-child{left: auto!important; right: 0!important;}
  .site-demo-overflow{overflow: auto;}

  .site-nav-layim{display: none !important;}
  .header .layui-nav .layui-nav-item{margin: 0;}
  .header .layui-nav .layui-nav-item a{padding: 0 20px;}
  .header .layui-nav .layui-nav-item[pc]{display: none;}
  .header .layui-nav .layui-nav-item[mobile]{display: inline-block;}
  .site-banner{height: 300px;}
  .site-banner-bg{background-size: cover;}
  .site-zfj{height: 100px; padding-top: 5px;}
  .site-zfj i{top: 10px; width: 100px; height: 100px; margin-left: -50px; font-size: 100px;}
  .site-desc{background-size: 70%; margin: 0;}
  .site-desc .web-font-desc{padding-top: 15px; font-size: 30px;}
  .site-desc cite{display: none;}
  .site-download{margin-top: 0; }
  .site-download a{height: 40px; line-height: 40px; padding: 0 25px 0 60px; border-radius: 30px; color: #fff; font-size: 16px;}
  .site-download a cite{left: 20px;}
  .site-version{margin-top: 10px;}
  .site-banner-other{bottom: 15px;}

  .site-idea{margin: 20px 0;}
  .site-idea li div{padding: 20px;}


  .site-hengfu img{max-width: 100%}

  .site-block .layui-form{margin-right: 0;}

  .layui-layer-dir{display: none;}
  
  .site-content{width: 100%; padding: 0; overflow: auto;}
  .site-content img{max-width: 100%;}
  
  .layui-code-view{-webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box;}

  .layui-layout-admin .layui-side{position: fixed; top: 0; left: -260px; transition: all .3s; -webkit-transition: all .3s; z-index: 10000;}
  .layui-body{position: static; bottom: 0; left: 0;}
  .site-mobile .layui-side{left: 0;}
  .site-mobile .layui-side-child{top: 50%; left: 200px; height: 300px; margin-top: -100px;}

  body .layui-layout-admin .footer-demo{position: static; height: auto; padding: 15px 0; line-height: 30px;}
  .footer-demo p,
  .footer-demo .site-union{height: auto; padding-right: 0;}
  .footer-demo .site-union{top: 0;}
  .footer-demo .site-union span{top: ;}

  .site-demo-area,
  .site-demo-editor,
  .site-demo-result,
  .site-demo-editor textarea,
  .site-demo-result iframe{position: static; width: 100%;}
  .site-demo-editor textarea{height: 350px;}
  .site-demo-zanzhu{display: none;}
  .site-demo-btn{bottom: auto; top: 370px;}
  .site-demo-result iframe{height: 500px;}

  .site-demo-laytpl textarea, .site-demo-laytpl div span{margin: 0;}
  .site-demo-tplres .site-demo-tplh2, .site-demo-tplres .site-demo-tplview{width: 100%; -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box;}

  .layui-layout-admin .header-demo{position: static;}
  .site-demo-title{position: static; left: 0; }
  body .layui-layout-admin .site-demo{position: static;}
  .site-demo-code{position: static; height: 350px; padding-left: 10px;}
}





@-webkit-keyframes site-anim-closeup{ /* 特写 */
  from {-webkit-transform: translate3d(0, 0, 0) scale(1);  opacity: 1;}
  to { -webkit-transform: translate3d(0, 400px, 0) scale(2);  opacity: 0.5;}
}
@keyframes site-anim-closeup{
  from {transform: translate3d(0, 0, 0) scale(1); opacity: 1;}
  to {transform: translate3d(0, 400px, 0) scale(2); opacity: 0.5;}
}
.site-out-up{-webkit-animation-duration: 3s; animation-duration: 3s; -webkit-animation-fill-mode: both; animation-fill-mode: both; -webkit-animation-name: site-anim-closeup; animation-name: site-anim-closeup; overflow: hidden;}

